var isEmpty = (System.Shell.RecycleBin.fileCount + System.Shell.RecycleBin.folderCount == 0);

////////////////////////////////////////////////////////////////////////////////
//
// FLYOUT FUNCTIONS
//
////////////////////////////////////////////////////////////////////////////////
window.onload = function()
{
	// add event handlers
	binEmptyLink.onmouseup = emptyRecycleBin;
	binOpenLink.onmouseup = openRecycleBin;
	binPropertiesLink.onmouseup = showRecycleSettings;

	binEmptyLink.blur(); // TODO: this doesn't work for some reason
	binContents.innerText = System.Shell.RecycleBin.fileCount + " fichiers, " + System.Shell.RecycleBin.folderCount + " dossiers";
	binSize.innerText = convertBytes(System.Shell.RecycleBin.sizeUsed);
	binEmpty.style.display = isEmpty ? "none" : "block";
}

////////////////////////////////////////////////////////////////////////////////
// empty Recycle Bin
////////////////////////////////////////////////////////////////////////////////
function emptyRecycleBin()
{
	binEmptyLink.blur();
	isEmpty = (System.Shell.RecycleBin.fileCount + System.Shell.RecycleBin.folderCount == 0);
	if (!isEmpty)
	{
		System.Shell.RecycleBin.emptyAll();
	}
}

////////////////////////////////////////////////////////////////////////////////
// open Recycle Bin in Explorer
////////////////////////////////////////////////////////////////////////////////
function openRecycleBin()
{
	binOpenLink.blur();
	System.Shell.execute("Explorer", "/N,::{645FF040-5081-101B-9F08-00AA002F954E}");
}

////////////////////////////////////////////////////////////////////////////////
// show Recycle Bin Properties
////////////////////////////////////////////////////////////////////////////////
function showRecycleSettings()
{
	binPropertiesLink.blur();
	System.Shell.RecycleBin.showRecycleSettings();
}

